commit: 18fa73237ab2f36f21f40e26c87d89a9030155db
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Fri Jul 11 18:17:37 2025 +0000
Commit: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
CommitDate: Fri Jul 11 18:21:10 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=18fa7323
dev-python/sphinxcontrib-katex: 0.9.11 version bump
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
dev-python/sphinxcontrib-katex/Manifest | 1 +
.../sphinxcontrib-katex-0.9.11_fix_install.patch | 28 ++++++++++++++
.../sphinxcontrib-katex-0.9.11.ebuild | 43 ++++++++++++++++++++++
3 files changed, 72 insertions(+)
diff --git a/dev-python/sphinxcontrib-katex/Manifest
b/dev-python/sphinxcontrib-katex/Manifest
index 186ca7ebcf..a252999cfa 100644
--- a/dev-python/sphinxcontrib-katex/Manifest
+++ b/dev-python/sphinxcontrib-katex/Manifest
@@ -1 +1,2 @@
DIST sphinxcontrib_katex-0.9.10.tar.gz 100194 BLAKE2B
e821a4f43d57c65eeb1439fc0067cf1200bfd7135dc05b08bbe65f0c695180be94f3c496d2438735f76af3cb49653312c79856b28960a399e8ae10cc47bac4c4
SHA512
43c62a37383920d9e328f16e10b437ffa8ff0bb2f1b9e282d5b1e02de2f2d54a2222ab7b7f2314a80eca710472808502f0f152344ed11e3a54b42441007d875f
+DIST sphinxcontrib_katex-0.9.11.tar.gz 100476 BLAKE2B
630fc9ae63ad67f0e65d220922ec5e2077933369b7895f7f58575ca262ea1481b568112eaa78d822b9184bc768f5496e936bc1b715c3e6981173c9b9d54a4205
SHA512
426956366977afc6b89a160a1f20bec245a45a6245c994c449440a7ff814e5ca122963be815b57f8a9a5ffdf9e1c3c70be4c1ce05713716df516f4659784900d
diff --git
a/dev-python/sphinxcontrib-katex/files/sphinxcontrib-katex-0.9.11_fix_install.patch
b/dev-python/sphinxcontrib-katex/files/sphinxcontrib-katex-0.9.11_fix_install.patch
new file mode 100644
index 0000000000..a54293bcb1
--- /dev/null
+++
b/dev-python/sphinxcontrib-katex/files/sphinxcontrib-katex-0.9.11_fix_install.patch
@@ -0,0 +1,28 @@
+diff '--color=auto' -Naur a/pyproject.toml b/pyproject.toml
+--- a/pyproject.toml
++++ b/pyproject.toml
+@@ -7,7 +7,7 @@
+ ]
+ description = 'A Sphinx extension for rendering math in HTML pages'
+ readme = 'README.rst'
+-license = {file = 'LICENSE'}
++license-files = ['LICENSE']
+ keywords = [
+ 'sphinx',
+ 'latex',
+@@ -19,7 +19,6 @@
+ 'Development Status :: 5 - Production/Stable',
+ 'Intended Audience :: Science/Research',
+ 'Intended Audience :: Developers',
+- 'License :: OSI Approved :: MIT License',
+ 'Operating System :: OS Independent',
+ 'Programming Language :: Python',
+ 'Programming Language :: Python :: 3',
+@@ -179,6 +178,7 @@
+ #
+ # Find all (sub-)modules of the Python package
+ [tool.setuptools.packages.find]
++exclude = ["docs", "tests"]
+
+ [tool.setuptools.dynamic]
+ version = {attr = 'sphinxcontrib.katex.__version__'}
diff --git a/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.11.ebuild
b/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.11.ebuild
new file mode 100644
index 0000000000..4e4d27de41
--- /dev/null
+++ b/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.11.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/_}
+PYTHON_COMPAT=( python3_{11..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="KaTeX Sphinx extension for rendering of math in HTML pages"
+HOMEPAGE="https://github.com/hagenw/sphinxcontrib-katex"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=dev-python/sphinx-4.5.0-r1[${PYTHON_USEDEP}]"
+
+DOCS=()
+
+PATCHES="
+ ${FILESDIR}/${P}_fix_install.patch
+ ${FILESDIR}/${PN}-0.9.10_fix_use_tomli.patch
+"
+
+distutils_enable_sphinx docs \
+ dev-python/insipid-sphinx-theme \
+ dev-python/tomli
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+ sed -i -e 's/license_file/license_files/' setup.cfg || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}